Atualizar formulário
curl --request PATCH \
--url https://api.notifique.dev/v1/forms/lists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"doubleOptInEnabled": true,
"endedMessage": "<string>",
"features": {
"queue": true,
"doubleOptIn": true,
"captureContact": true
},
"hostedPageTheme": {},
"hostedPageCopy": {},
"hostedPageForm": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
doubleOptInEnabled: true,
endedMessage: '<string>',
features: {queue: true, doubleOptIn: true, captureContact: true},
hostedPageTheme: {},
hostedPageCopy: {},
hostedPageForm: {}
})
};
fetch('https://api.notifique.dev/v1/forms/lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/forms/lists/{id}"
payload = {
"name": "<string>",
"doubleOptInEnabled": True,
"endedMessage": "<string>",
"features": {
"queue": True,
"doubleOptIn": True,
"captureContact": True
},
"hostedPageTheme": {},
"hostedPageCopy": {},
"hostedPageForm": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/forms/lists/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"doubleOptInEnabled\": true,\n \"endedMessage\": \"<string>\",\n \"features\": {\n \"queue\": true,\n \"doubleOptIn\": true,\n \"captureContact\": true\n },\n \"hostedPageTheme\": {},\n \"hostedPageCopy\": {},\n \"hostedPageForm\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "<string>",
"addonType": "FORM",
"features": {
"queue": true,
"doubleOptIn": true,
"captureContact": true
},
"name": "<string>",
"doubleOptInEnabled": true,
"subscriptionsCount": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"endedMessage": "<string>",
"hostedPageTheme": {},
"hostedPageCopy": {},
"hostedPageForm": {}
}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Forms
Atualizar formulário
Altera um formulário.
PATCH
/
v1
/
forms
/
lists
/
{id}
Atualizar formulário
curl --request PATCH \
--url https://api.notifique.dev/v1/forms/lists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"doubleOptInEnabled": true,
"endedMessage": "<string>",
"features": {
"queue": true,
"doubleOptIn": true,
"captureContact": true
},
"hostedPageTheme": {},
"hostedPageCopy": {},
"hostedPageForm": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
doubleOptInEnabled: true,
endedMessage: '<string>',
features: {queue: true, doubleOptIn: true, captureContact: true},
hostedPageTheme: {},
hostedPageCopy: {},
hostedPageForm: {}
})
};
fetch('https://api.notifique.dev/v1/forms/lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/forms/lists/{id}"
payload = {
"name": "<string>",
"doubleOptInEnabled": True,
"endedMessage": "<string>",
"features": {
"queue": True,
"doubleOptIn": True,
"captureContact": True
},
"hostedPageTheme": {},
"hostedPageCopy": {},
"hostedPageForm": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/forms/lists/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"doubleOptInEnabled\": true,\n \"endedMessage\": \"<string>\",\n \"features\": {\n \"queue\": true,\n \"doubleOptIn\": true,\n \"captureContact\": true\n },\n \"hostedPageTheme\": {},\n \"hostedPageCopy\": {},\n \"hostedPageForm\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "<string>",
"addonType": "FORM",
"features": {
"queue": true,
"doubleOptIn": true,
"captureContact": true
},
"name": "<string>",
"doubleOptInEnabled": true,
"subscriptionsCount": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"endedMessage": "<string>",
"hostedPageTheme": {},
"hostedPageCopy": {},
"hostedPageForm": {}
}
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Autorizações
ntfAddonsBearerAuthntfAddonsApiKeyHeader
Authorization: Bearer sk_live_xxxxx
Parâmetros de caminho
ID da lista (ex.: cuid)
Corpo
application/json
Atualização parcial. Pelo menos um campo é obrigatório. Campos aninhados (hostedPageTheme, hostedPageCopy, hostedPageForm) fazem merge com o valor atual; null reseta o bloco.
Required string length:
1 - 128Opções disponíveis:
ACTIVE, PAUSED, CLOSED, ENDED Ignorado para template NEWSLETTER (sempre false).
Show child attributes
Show child attributes
Merge parcial do tema da página hospedada.
Merge parcial dos textos da página hospedada.
Merge parcial do schema do formulário. Validado com validateFormConfig antes de salvar.
Esta página foi útil?
⌘I

